| The Gaudi Framework v32r1 (f65d50dc)

Static Public Member Functions | List of all members
GaudiPython::TupleToolDecorator Class Reference

Simple class to perform the "decoration" of Tuples in Python/ROOT. More...

`#include <GaudiPython/TupleDecorator.h>`

## Static Public Member Functions
static Tuples::Tuple | nTuple (const ITupleTool &tool, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const ITupleTool &tool, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const ITupleTool &tool, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | nTuple (const ITupleTool &tool, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const ITupleTool &tool, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const ITupleTool &tool, const GaudiAlg::TupleID &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const ITupleTool &tool, const int ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...
static Tuples::Tuple | evtCol (const ITupleTool &tool, const std::string &ID, const std::string &title, const CLID &clid=CLID_ColumnWiseTuple)
| get n-tuple (book-on-demand) More...

## Detailed Description

Simple class to perform the "decoration" of Tuples in Python/ROOT.

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2005-08-17

Definition at line 308 of file TupleDecorator.h.

## Member Function Documentation

## ◆ evtCol() [1/4]

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 336 of file TupleDecorator.h.

337 {
338 return tool.evtCol( title, clid );
339 }
ITupleTool::evtCol
virtual Tuple evtCol(const std::string &title, const CLID &clid=CLID_RowWiseTuple) const =0

## ◆ evtCol() [2/4]

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 342 of file TupleDecorator.h.

343 {
344 return tool.nTuple( ID, title, clid );
345 }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

## ◆ evtCol() [3/4]

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 348 of file TupleDecorator.h.

349 {
350 return tool.nTuple( ID, title, clid );
351 }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

## ◆ evtCol() [4/4]

static Tuples::Tuple GaudiPython::TupleToolDecorator::evtCol | ( | const ITupleTool & | tool,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 354 of file TupleDecorator.h.

355 {
356 return tool.nTuple( ID, title, clid );
357 }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

## ◆ nTuple() [1/4]

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 312 of file TupleDecorator.h.

313 {
314 return tool.nTuple( title, clid );
315 }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

## ◆ nTuple() [2/4]

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const GaudiAlg::TupleID & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 318 of file TupleDecorator.h.

319 {
320 return tool.nTuple( ID, title, clid );
321 }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

## ◆ nTuple() [3/4]

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const int | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 324 of file TupleDecorator.h.

325 {
326 return tool.nTuple( ID, title, clid );
327 }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

## ◆ nTuple() [4/4]

static Tuples::Tuple GaudiPython::TupleToolDecorator::nTuple | ( | const ITupleTool & | tool,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const CLID & | clid = `CLID_ColumnWiseTuple`
| ) |  |
| inline static

get n-tuple (book-on-demand)

Definition at line 330 of file TupleDecorator.h.

331 {
332 return tool.nTuple( ID, title, clid );
333 }
ITupleTool::nTuple
virtual Tuple nTuple(const std::string &title, const CLID &clid=CLID_ColumnWiseTuple) const =0
get N-tuple object ( book on-demand ) with unique identifier

The documentation for this class was generated from the following file:

- GaudiPython/GaudiPython/TupleDecorator.h